El investigador de seguridad Jann Horn publica un error de escalada de privilegios que se corrigió en iOS 12.1.1

Dado todo lo que ha estado sucediendo en el espacio de investigación de seguridad últimamente, iOS 12 parece estar lejos de ser no explotable. Por otro lado, los errores, los exploits y las vulnerabilidades para la última y mejor operación de Apple siguen apareciendo cada día que pasa, y esto podría ser una gran noticia para la comunidad de jailbreak.

El último de estos casos implica un error de escalada de privilegios para iOS 12.1 y anterior por Jann Horn de Google Project Zero. El investigador de seguridad publicó sus notas en línea sobre el error el lunes por la tarde, solo cinco días después de que Apple lanzó públicamente iOS 12.1.1 para corregir el error, junto con varios otros.

No se sabe mucho sobre el error de Horn en este momento, pero al citar la página de contenido de seguridad de Apple para iOS 12.1.1, el error significaba que “una aplicación puede ejecutar código arbitrario con privilegios de kernel”.

Apple supuestamente respondió al error en la última actualización de iOS abordando un problema de corrupción de memoria en el sistema operativo y mejorando la administración del estado.

Es imposible saber en este momento si este error en particular contribuirá a futuros desarrollos de herramientas de jailbreak, pero si aún no está jailbreak y está esperando que se materialice un nuevo jailbreak, entonces lo mejor que puede hacer es permanecer en El firmware más bajo posible y evitar la actualización.

Como aprendimos de una de las demostraciones recientes de KeenLab, iOS 12 es realmente jailbreak. Por ahora, parece que la comunidad solo está esperando que surjan los exploits adecuados y que un desarrollador de jailbreak dispuesto lo integre en una herramienta fácil de usar. Para aquellos que se preguntan, no se sabe cuándo podría suceder eso; Todo lo que podemos hacer es especular.

Al momento de escribir este artículo, el último jailbreak disponible al público es la herramienta de descubrimiento de Pwn20wnd, que admite las versiones de iOS 11.0 a 11.4 beta 3; no hay jailbreak disponible para iOS 11.4 y versiones posteriores.

¿Estás emocionado de ver que todos estos agujeros de seguridad centrados en iOS 12 se publiquen últimamente? Háganos saber cómo se siente acerca de la situación en la sección de comentarios a continuación.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *